aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xmlsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-09-05 14:18:58 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-09-05 14:18:58 +0200
commit878417ff25eb6ea18861c2e12a336e2625d4b308 (patch)
tree72eed47e04bdf5ddaeecacef199e1af47e7053d8 /testing/xmlsec/APKBUILD
parent999cf4feaeac408d682ad5ef8286b976c49d8b58 (diff)
downloadaports-878417ff25eb6ea18861c2e12a336e2625d4b308.tar.gz
aports-878417ff25eb6ea18861c2e12a336e2625d4b308.tar.bz2
aports-878417ff25eb6ea18861c2e12a336e2625d4b308.tar.xz
testing/xmlsec: fix checksum and cleanup
fix indentation and other minor stuff
Diffstat (limited to 'testing/xmlsec/APKBUILD')
-rw-r--r--testing/xmlsec/APKBUILD40
1 files changed, 21 insertions, 19 deletions
diff --git a/testing/xmlsec/APKBUILD b/testing/xmlsec/APKBUILD
index 14babb9c1b..1ca3b4fc7b 100644
--- a/testing/xmlsec/APKBUILD
+++ b/testing/xmlsec/APKBUILD
@@ -7,7 +7,7 @@ pkgdesc="Provides a C based implementation for XML Signature Syntax and Processi
url="https://www.aleksey.com/${pkgname}"
arch="all"
license="MIT"
-depends="libxml2 libxslt openssl libltdl"
+depends=""
depends_dev=
makedepends="${depends_dev} libxml2-dev libxslt-dev openssl-dev libltdl"
install=
@@ -20,30 +20,32 @@ prepare() {
}
build() {
- cd "${_builddir}" &&
- './configure' \
- --build="$CBUILD" \
- --disable-static \
- --enable-pkgconfig \
- --host="$CHOST" \
- --prefix='/usr' \
- --with-default-crypto='openssl' &&
- make || return 1
+ cd "${_builddir}"
+ ./configure \
+ --build="$CBUILD" \
+ --host="$CHOST" \
+ --prefix='/usr' \
+ --disable-static \
+ --enable-pkgconfig \
+ --with-default-crypto='openssl' \
+ || return 1
+ make || return 1
}
check() {
- cd "${_builddir}" &&
- make -k check || return 1
+ cd "${_builddir}" &&
+ make -k check || return 1
}
package() {
- cd "${_builddir}" &&
- make DESTDIR="${pkgdir}" install || return 1
- [ -d "${pkgdir}" ] && find "${pkgdir}"'/usr' -type 'f' -name '*.la' -delete
- install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
- install -m644 'COPYING' "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+ cd "${_builddir}" &&
+ make DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
+ install -m644 'COPYING' "${pkgdir}/usr/share/licenses/${pkgname}/" \
+ || return 1
}
md5sums="ce12af00283eb90d9281956524250d6e xmlsec1-1.2.20.tar.gz"
-sha256sums="3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305 xmlsec1-1.2.20.tar.gz"
-sha512sums="2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5 xmlsec1-1.2.20.tar.gz"
+sha256sums="3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305 xmlsec1-1.2.20.tar.gz"
+sha512sums="2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5 xmlsec1-1.2.20.tar.gz"